import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const ListItemContent = /*@__PURE__*/ proxyCustomElement(class ListItemContent extends HTMLElement {
    constructor(registerHost) {
        super();
        if (registerHost !== false) {
            this.__registerHost();
        }
    }
    render() {
        return (h(Host, { key: '753736cc273f562a957f83b78ddcf3c46d96c3c2', class: {
                'bal-list__item__content': true,
                [`bal-list__item__content--${this.contentAlignment}`]: this.contentAlignment !== undefined,
            } }, h("slot", { key: 'a039d83497e2981173d0cea77227ec9eb58d8b9b' })));
    }
}, [260, "bal-list-item-content", {
        "contentAlignment": [1, "content-alignment"]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["bal-list-item-content"];
    components.forEach(tagName => { switch (tagName) {
        case "bal-list-item-content":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, ListItemContent);
            }
            break;
    } });
}

export { ListItemContent as L, defineCustomElement as d };
